[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.VisibleColCount

The number of visible columns in the grid control.

## Declaration

Source position: grids.pas line 1301

`protected property TCustomGrid.VisibleColCount : Integer read GetVisibleColCount stored False;`

## Description

VisibleColCount is a read-only Integer property with the number of columns displayed in the visible area for the control. The property value is derived using the cached VisibleGrid information in the GCache property. It is not included in the LCL streaming mechanism, and is an artifact from older LCL versions.